<?php
if (!defined('_ECRIRE_INC_VERSION')) return;

function action_toggle_param_dist(){
	$securiser_action = charger_fonction('securiser_action', 'inc');
	$arg = $securiser_action();
	list($objet,$id_objet,$param)=explode('/',$arg);
	$id_objet = intval($id_objet);


	include_spip('inc/autoriser');
	if (! autoriser("modifier",$objet, $id_objet)) {
		return false;
	}
	if($id_objet){

		$table = "spip_". $objet . "s";
		$where= "id_$objet=$id_objet";
	
		if (sql_getfetsel($param,$table,$where)=='on'){
			$set = array($param => '');
		}
		else{
			$set = array($param => 'on');
		}
	
		sql_updateq($table, $set, $where);
		include_spip('inc/invalideur');
		suivre_invalideur("id='$objet/$id_objet'");
	}
	// redirection sur la page courante
	include_spip('inc/headers');
	redirige_par_entete(_request('redirect'));
}

